Buy Item
Buy an item on behalf of your end-user.
POST
/
buy
Buy Item
curl --request POST \
--url https://api.buybase.ai/buy \
--header 'Content-Type: application/json' \
--header 'authorization: <authorization>' \
--data '
{
"items": [
{}
],
"user_id": "<string>",
"store_id": "<string>"
}
'import requests
url = "https://api.buybase.ai/buy"
payload = {
"items": [{}],
"user_id": "<string>",
"store_id": "<string>"
}
headers = {
"authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({items: [{}], user_id: '<string>', store_id: '<string>'})
};
fetch('https://api.buybase.ai/buy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Order created successfully",
"code": "ORDER_CREATED"
}
Headers
string
required
Your API key for authentication.
Body
array
required
Array of items to purchase.
[
{
"variant_id": "string", // Shopify variant ID
"quantity": 1 // Must be at least 1
}
]
string
required
The unique identifier for the user.
string
required
The unique identifier for the store.
Response
string
A message indicating the result of the purchase operation.
string
A code indicating the result of the purchase operation. Possible values:
ORDER_CREATED: Order created successfullyAUTH_MISSING: No API key providedINVALID_KEY: Invalid API keyBAD_REQUEST_ERROR: Invalid request parametersSTORE_NOT_FOUND: Store ID not foundUSER_NOT_FOUND: User ID not foundSTORE_NOT_VERIFIED: Store is not verified yetFORBIDDEN: Not authorized to access storeINTERNAL_ERROR: Server error occurred
string
Error message if the request fails.
{
"message": "Order created successfully",
"code": "ORDER_CREATED"
}
⌘I
Buy Item
